#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright (C) 2010, Sebastian Ramacher
# This file is released under a modified BSD license. See LICENSE.txt for
# details.
################################################################################

""" legacy module
"""

import os
import os.path

def setup(path=None):
    """ Set up the environment to use ``path`` as config directory.
    
    Please note that this function has to be called before importing anything
    else from ``btdt``.
    """

    if path is None:
        path = os.path.curdir

    if not 'BTDT_CONFIG_HOME' in os.environ:
        os.environ.update({
            'BTDT_CONFIG_HOME': os.path.abspath(path)
        })

def servermain(args=None, path=None):
    setup(path)
    from btdt.server import main
    main(args)

def clientmain(args=None, path=None):
    setup(path)
    from btdt.client import main
    main(args)

def guiclientmain(args=None, path=None):
    setup(path)
    from btdt.guiclient import main
    main(args)
