#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright (C) 2008-2010, Sebastian Ramacher
# This file is released under a modified BSD license. See LICENSE.txt for
# details.
################################################################################

import btdt

try:
    from setuptools import setup
    using_setuptools = True
except ImportError:
    from distutils.core import setup
    using_setuptools = False

setup(name='btdt',
      version=btdt.__version__,
      author=btdt.__author__,
      license='BSD',
      packages=['btdt'],
      package_data={'btdt': ['icons/*']},

      install_requires=[
      #   python-libtorrent isn't available in PyPI nor as egg
      #   'python-libtorrent'
      ],
      extras_require={
          'server': ['SQLAlchemy>=0.5', 'pyOpenSSL>=0.6'],
          # guiclient should be
          #    'guiclient': ['pycairo', 'pygtk', 'PyGObject']
          # but they don't seem to work.
          'guiclient': []
      },

      # scripts
      entry_points={
          'console_scripts': [
              'btdt-client = btdt.client:main',
              'btdt-client-legacy = btdt.legacy:clientmain',
              'btdt-server = btdt.server:main [server]',
              'btdt-server-legacy = btdt.legacy:servermain [server]'
          ],
          'gui_scripts': [
              'btdt-guiclient = btdt.guiclient:main [guiclient]',
              'btdt-guiclient-legacy = btdt.legacy:guiclientmain [guiclient]'
          ]
      },
      scripts=[] if using_setuptools else [
          'btdt-client',
          'btdt-client-legacy',
          'btdt-server',
          'btdt-server-legacy',
          'btdt-guiclient',
          'btdt-guiclient-legacy'
      ]
)
